package com.sunyo.wlpt.message.bus.sdk;

import com.sunyo.wlpt.message.bus.sdk.request.MessageRequest;
import com.sunyo.wlpt.message.bus.sdk.response.BusResult;

import java.io.IOException;

/**
 * @author 子诚
 * Description：
 * 时间：2020/9/7 14:36
 */
public class MyTestMethods {
    private static final String url_product_new = "http://192.168.1.53:12343/message-bus-send/bus/rabbit/product_new";
    private static final String url_product_old = "http://192.168.1.53:12343/message-bus-send/bus/rabbit/product_old";
    private static final String url_consumer_one = "http://192.168.1.53:12343/message-bus-receive/bus/rabbit/consumer_one";
    private static final String url_consumer_more = "http://192.168.1.53:12343/message-bus-receive/bus/rabbit/consumer_more";

    private static final String token =
            "Bearer eyJhbGciOiJSUzI1NiJ9.eyJzdWIiOiJ6aWNoZW5nIiwiZXhwIjoxNTk5NDk3MzU1fQ.YI69vs8pV99v7hnt6xGX5c4wvMPBj6tgsjiI4JJbW2Irj-sUW1stskQ25-G5cDRI-qoZFQTlvRvGVFR97arFD9gwAIB8Gfz4Sog-QC1wLDS3xStvygsCDabQmaF8JaE_zWbtJ7Izs7Jd45VOiI4CS_uZY5dsgODB5IqW1hwj-JY";

    /**
     * 报文消息发送
     *
     * @return
     */
    public BusResult product_old()
    {
        long start = System.currentTimeMillis();
        String content = "<?xml version=\"1.0\" encoding=\"UTF-8\"?> <MSG>     <META>         <SNDR>zicheng</SNDR> \t\t<RCVR></RCVR> " +
                "\t\t<DDTM>20200902164413</DDTM> \t\t<TYPE>E_zicheng</TYPE> \t\t<STYP>R_zicheng</STYP> \t\t<SEQN>本性难移</SEQN> \t\t<TOKN>江山易老</TOKN> " +
                "\t\t<VSHT>V_zicheng</VSHT> \t\t<SERV>S_zicheng</SERV> \t</META> \t<BODY>你好啊，我的老BoBy</BODY> </MSG>";

        MessageRequest messageRequest = new MessageRequest();
        BusResult busResult = messageRequest.sendMessage(url_product_old, token, content);
        long end = System.currentTimeMillis();
        System.out.println("发送一条报文消息，耗时：" + (end - start) + "毫秒");
        return busResult;
    }

    public BusResult product_new()
    {
        long start = System.currentTimeMillis();
        MessageRequest messageRequest = new MessageRequest();
        BusResult busResult = messageRequest.sendMessage(url_product_new, "S_zicheng", "V_zicheng", "E_zicheng", "R_zicheng", "待到重阳日，还来就菊花", "zicheng"
                , "20200909164413", token, "序列号");
        long end = System.currentTimeMillis();
        System.out.println("发送一条参数消息，耗时：" + (end - start) + "毫秒");
        return busResult;
    }

    public BusResult consumerOne()
    {
        long start = System.currentTimeMillis();
        MessageRequest messageRequest = new MessageRequest();
        BusResult busResult = messageRequest.getMessageOne(url_consumer_one, token, "zicheng", "S_zicheng", "V_zicheng", "V_zicheng_zicheng_R");
        long end = System.currentTimeMillis();
        System.out.println("接收一条消息，耗时：" + (end - start) + "毫秒");
        return busResult;
    }

    public BusResult consumerMore()
    {
        int num = 10000;
        long start = System.currentTimeMillis();
        MessageRequest messageRequest = new MessageRequest();
        BusResult busResult = messageRequest.getMessageMore(url_consumer_more, token, "zicheng", "S_zicheng",
                "V_zicheng", "V_zicheng_zicheng_R",
                num);
        long end = System.currentTimeMillis();
        System.out.println("接收" + num + "条消息，耗时：" + (end - start) + "毫秒");
        return busResult;
    }
}
