package com.sunyo.wlpt.message.bus.sdk;

import com.sunyo.wlpt.message.bus.sdk.request.MessageRequest;
import com.sunyo.wlpt.message.bus.sdk.response.BusResult;
import com.sunyo.wlpt.message.bus.sdk.utils.GsonUtil;
import sun.security.krb5.internal.Ticket;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.concurrent.*;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

/**
 * @author 子诚
 * Description：
 * 时间：2020/9/7 10:34
 */
public class Test2 {
    public static void main(String[] args) throws IOException
    {
        Test2 t2 = new Test2();
        t2.moreThread();
    }

    void moreThread()
    {
        long start = System.currentTimeMillis();

        Tickets thread = new Tickets();
        ExecutorService executorService = new ThreadPoolExecutor(
                32, 64,
                0L,
                TimeUnit.MILLISECONDS,
                new LinkedBlockingQueue<>(10),
                Executors.defaultThreadFactory(),
                new ThreadPoolExecutor.AbortPolicy());
        for (int i = 0; i < 20; i++) {
            executorService.submit(thread);
        }
        executorService.shutdown();

        while (!executorService.isTerminated()) {

        }
        long end = System.currentTimeMillis();
        System.out.println("耗时：" + (end - start));
    }
}

class Tickets implements Runnable {
    private int ticket = 100;

    Lock lock = new ReentrantLock();

    @Override
    public void run()
    {
        while (true) {
            lock.lock();
            try {
                if (ticket <= 0) {
                    break;
                }
                MyTestMethods myTestMethods = new MyTestMethods();
                // 发送一条报文消息
                BusResult busResult = myTestMethods.product_old();
                System.out.println(Thread.currentThread().getName() + "发送了第" + ticket + "条消息");
                System.out.println(busResult);
                ticket--;
            } finally {
                lock.unlock();
            }
        }
    }

}
