package com.sunyo.wlpt.message.bus.sdk.response;

import java.util.List;

/**
 * @author 子诚
 * Description：返回结果类
 * 时间：2020/9/3 18:49
 */
public class BusResult {

    /**
     * 是否成功？
     * true，成功
     * false，失败
     */
    private Boolean isOk;

    /**
     * 状态代码
     */
    private String code;

    /**
     * 对应状态信息
     */
    private String message;

    /**
     * 接收一条消息的存放属性
     */
    private String data;

    /**
     * 接收多条消息的存放属性
     */
    private List<String> dataList;

    public BusResult(Boolean isOk, String code, String message)
    {
        this.isOk = isOk;
        this.code = code;
        this.message = message;
    }

    public BusResult(Boolean isOk, String code, String message, String data)
    {
        this.isOk = isOk;
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public BusResult(Boolean isOk, String code, String message, List<String> dataList)
    {
        this.isOk = isOk;
        this.code = code;
        this.message = message;
        this.dataList = dataList;
    }

    public BusResult()
    {

    }

    public Boolean getOk()
    {
        return isOk;
    }

    public void setOk(Boolean ok)
    {
        isOk = ok;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public String getMessage()
    {
        return message;
    }

    public void setMessage(String message)
    {
        this.message = message;
    }

    public String getData()
    {
        return data;
    }

    public void setData(String data)
    {
        this.data = data;
    }

    public List<String> getDataList()
    {
        return dataList;
    }

    public void setDataList(List<String> dataList)
    {
        this.dataList = dataList;
    }

    @Override
    public String toString()
    {
        return "BusResult{" +
                "isOk=" + isOk +
                ", code='" + code + '\'' +
                ", message='" + message + '\'' +
                ", data='" + data + '\'' +
                ", dataList=" + dataList +
                '}';
    }
}
