package com.sunyo.wlpt.message.bus.sdk.response;




import java.io.Serializable;

/**
 * @author 子诚
 * Description：返回结果封装类
 * 时间：2020/7/01 10:06
 */
public class ResultJson<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 响应业务状态，默认为200
     */
    private String code;

    /**
     * 响应消息
     */
    private String msg;

    /**
     * 错误消息内容
     */
    private String error;

    /**
     * 数据总条数
     */
    private Integer total;

    /**
     * 响应数据
     */
    private T data;

    /**
     * JWT令牌
     */
    private String jwtToken;


    /**
     * 无参，构造方法
     */
    public ResultJson()
    {
    }


    /**
     * 定义有参构造器
     *
     * @param code 响应状态
     * @param msg  响应消息
     */
    public ResultJson(String code, String msg)
    {
        this.code = code;
        this.msg = msg;
    }

    /**
     * 定义有参构造器
     *
     * @param code 响应状态
     * @param msg  响应消息
     * @param data 响应数据
     */
    public ResultJson(String code, String msg, T data)
    {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }

    public ResultJson(String code, String msg, T data, Integer total)
    {
        this.code = code;
        this.msg = msg;
        this.data = data;
        this.total = total;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public String getMsg()
    {
        return msg;
    }

    public void setMsg(String msg)
    {
        this.msg = msg;
    }

    public String getError()
    {
        return error;
    }

    public void setError(String error)
    {
        this.error = error;
    }

    public Integer getTotal()
    {
        return total;
    }

    public void setTotal(Integer total)
    {
        this.total = total;
    }

    public T getData()
    {
        return data;
    }

    public void setData(T data)
    {
        this.data = data;
    }

    public String getJwtToken()
    {
        return jwtToken;
    }

    public void setJwtToken(String jwtToken)
    {
        this.jwtToken = jwtToken;
    }
}
